function newGameButtons(image)
  local menu = newSpriteMenu(image)
  
  local size = 66
  local x = (love.graphics.getWidth() / 2) - ((size * 6) / 2) -- 6 = 6 Buttons in a Row
  local y = 540
  
  menu.addButton(     0,   size, size, size, x,          y, nil, true) -- Enter Word Button
  menu.addButton(     0, size*2, size, size, x + size,   y, nil, true) -- Shuffle Tray Button
  menu.addButton(     0, size*3, size, size, x + size*2, y, nil, true) -- Cancel Button
  menu.addButton(size*2,      0, size, size, x + size*3, y, nil, true) -- Previous Entry Button
  menu.addButton(size*2,   size, size, size, x + size*4, y, nil, true) -- Pause Button
  menu.addButton(size*2, size*3, size, size, x + size*6, y, nil, true) -- Exit Button
  
  function menu.addAdvanceLevelButton()
    menu.addButton(size*2, size*2, size, size, x + size*5, y, nil, true) -- Advance Level Button
  end
  return menu
end
