local size = 66 -- 66 is the size of one tray
local y = 295 -- Tray y
local y2 = 435 -- Chips Tray y

function newGuessTray(length, image)
  local tray = newTileSet(image, size) 
  
  tray.addTileType('O', 0, 0) -- The Guess Tile

  -- One-row Map
  local tray_map = {}
  
  -- The only string in the map
  local tray_string = ''
  for i = 1, length do
    tray_string = tray_string .. 'O'
  end
  
  -- Put the string in the map  
  table.insert(tray_map, tray_string)
  
  -- Centering Tray Image
  local start_x = (love.graphics.getWidth() / 2) - (size * length / 2)
  tray.update(tray_map, start_x, y)
  

  -- For Guess Tray and Chips Tray
  tray.indexes = {}
  local indexes2 = {}

  -- Indexes (for the game chips They need the CENTER xy of the trays)
  local start_y = y + (size/2)
  start_x = start_x + (size/2)
  
  for i = 1, length do
    table.insert(tray.indexes, {x = start_x + ((i-1) * size), y = start_y})
    table.insert(indexes2, {x = start_x + ((i-1) * size), y = y2})
  end
  
  
  return tray, indexes2
end
