message = {}

local color = {200/255, 0, 0}
local font = love.graphics.newFont(20)
local text = ''
local timer = 5

function message.change(txt)
  text = txt or ''
  timer = 5
end

function message.update(dt)
  timer = timer - dt
  if timer <= 0 then
    text = ''
  end
end

function message.draw()
  love.graphics.setFont(font)
  love.graphics.print({color, text}, (love.graphics.getWidth() / 2) - (font:getWidth(text) / 2), 368)
end
